Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:	stopmotion movie creation tool
Name:		stopmotion
Version:	0.6.0
Release:	3
Group:		Video
License:	GNU/GPL
Source0:	%{name}-%{version}.tar.gz
URL:		http://developer.skolelinux.no/info/studentgrupper/2005-hig-stopmotion/index.php
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:  libICE-devel
BuildRequires:	qt4-devel
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  glibc-devel
BuildRequires:  gamin-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:  libtar-devel

%description
Stopmotion is a program for creating stop motion animation movies from pictures you already have on your harddrive and from pictures you import live from a webcamera.

A stop motion animation is an animation which is built by taking many pictures of some object while moving it a little between each picture. When these pictures are run you get an animation. 

%prep
%setup -q -n %{name}-%{version}

%build
export PATH="/opt/qt4/bin:$PATH"
./configure 	--prefix=%_prefix \
		--disable-debug
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/{applications,pixmaps}
install -m 644 stopmotion.desktop $RPM_BUILD_ROOT/usr/share/applications/stopmotion.desktop
install -m 644 graphics/stopmotion.png $RPM_BUILD_ROOT/usr/share/pixmaps/stopmotion.png
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/{16x16,32x32,48x48}/apps/
for i in 16 32 48; do
    convert -size ${i}x$i graphics/stopmotion.png -resize ${i}x$i %{buildroot}/%{_datadir}/icons/hicolor/${i}x$i/apps/%{name}.png
done
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_bindir
%_datadir/stopmotion
%_datadir/doc
%_datadir/applications
%_datadir/pixmaps
%_datadir/icons

%changelog
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-3
- rebuilt against libstdc++ 1:4.1.2
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-2
- fixed dependencies
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Initial Release
